package orderthirdpaylogmodel

import (
	"github.com/qit-team/snow-core/db"
	"sync"
	"time"
)

var (
	once sync.Once
	m    *OrderThirdPayLogModel
)

// 实体
type OrderThirdPayLog struct {
	Id               int64
	OrderId          int64     `xorm:"'order_id' bigint(20)"`
	PayCallback      string    `xorm:"'pay_callback' JSON"`
	Status           int       `xorm:"'status' TINYINT"`
	PayParam         string    `xorm:"'pay_param' JSON"`
	MerchantCallback string    `xorm:"'merchant_callback' JSON"`
	Type             int       `xorm:"'type' TINYINT"`
	CreateTime       time.Time `xorm:"'create_time' datetime created"`
}

// 表名
func (m *OrderThirdPayLog) TableName() string {
	return "order_third_pay_log"
}

// 私有化，防止被外部new
type OrderThirdPayLogModel struct {
	db.Model //组合基础Model，集成基础Model的属性和方法
}

// 单例模式
func GetInstance() *OrderThirdPayLogModel {
	once.Do(func() {
		m = new(OrderThirdPayLogModel)
		//m.DiName = "" //设置数据库实例连接，默认db.SingletonMain
	})
	return m
}
